gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Object An accelerator. TODO: explain the relationship between this class and .
- Constructor
  2.12.0.0
  Basic constructor.
- Property
  2.12.0.0
  Gdk.ModifierType A mask to specify the default modifier key(s). a
- Method
  2.12.0.0
  System.String `` `` A representing the accelerator keyval. A representing the accelerator modifier mask. Converts an accelerator keyval and modifier mask into a string which can be used to represent the accelerator to the user. A newly-allocated string representing the accelerator.
- Method
  2.12.0.0
  System.String `` `` a a Converts an accelerator keyval and modifier mask into a string parseable by . For example, if you pass in and , this function returns "<Control>q". a In Gtk+, the return value must be freed by the caller, but not in Gtk#.
- Method
  2.12.0.0
  System.Void `` `` `` a a , thekey to map to. a to fill with data. Parses a string representing an accelerator. The format looks like "<Control>a" or "<Shift><Alt>F1" or "<Release>z" (the last one is for key release). The parser is fairly liberal and allows lower or upper case, and also abbreviations such as "<Ctl>" and "<Ctrl>". If the parse fails, and will be set to 0 (zero).
- Method
  2.12.0.0
  System.Boolean `` `` a , see for useful values a Determines whether a given keyval and modifier mask constitute a valid keyboard accelerator. For example, keyval plus is valid; this is a "Ctrl+a" accelerator. However, you can't use the keyval as an accelerator. a